package com.ruoyi.logistics.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.logistics.domain.RptFinancialMonthSummary;
import org.apache.ibatis.annotations.Param;

/**
 * 财务月度汇总Mapper接口
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public interface RptFinancialMonthSummaryMapper 
{
    /**
     * 查询财务月度汇总
     * 
     * @param summaryId 财务月度汇总主键
     * @return 财务月度汇总
     */
    public RptFinancialMonthSummary selectRptFinancialMonthSummaryBySummaryId(Long summaryId);

    /**
     * 查询财务月度汇总列表
     * 
     * @param rptFinancialMonthSummary 财务月度汇总
     * @return 财务月度汇总集合
     */
    public List<RptFinancialMonthSummary> selectRptFinancialMonthSummaryList(RptFinancialMonthSummary rptFinancialMonthSummary);

    /**
     * 新增财务月度汇总
     * 
     * @param rptFinancialMonthSummary 财务月度汇总
     * @return 结果
     */
    public int insertRptFinancialMonthSummary(RptFinancialMonthSummary rptFinancialMonthSummary);

    /**
     * 修改财务月度汇总
     * 
     * @param rptFinancialMonthSummary 财务月度汇总
     * @return 结果
     */
    public int updateRptFinancialMonthSummary(RptFinancialMonthSummary rptFinancialMonthSummary);

    /**
     * 删除财务月度汇总
     * 
     * @param summaryId 财务月度汇总主键
     * @return 结果
     */
    public int deleteRptFinancialMonthSummaryBySummaryId(Long summaryId);

    /**
     * 批量删除财务月度汇总
     * 
     * @param summaryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRptFinancialMonthSummaryBySummaryIds(Long[] summaryIds);

    List<Map<String, Object>> selectMonthSummaryList( Map param);

    int insertBachRptFinancialMonthSummary(List<Map<String, Object>> monthSummaryList);

    List<RptFinancialMonthSummary> selectRptFinancialMonthSummaryListToCheck(RptFinancialMonthSummary rptFinancialMonthSummary);

    int updateRptFinancialMonthSummaryByInvoice(RptFinancialMonthSummary rptFinancialMonthSummary);

    List<Map<String, Object>> selectMonthSummaryGroupProductList(Map param);

    List<Map<String, Object>> selectAllDeptMonthSummaryList(Map param);
}
